{% extends 'base.html' %}

{% block title %}Buscar{% endblock %}

{% block customCSS %}
<link rel="stylesheet" href="{{ url_for('static', filename='css/buscar.css') }}">
{% endblock %}

{% block content %}
<h1 class="text-center" style="margin-top: 40px;">Buscar Producto</h1>
<div class="d-flex justify-content-center" style="margin-top: 60px;">
    <form method="post" action="{{ url_for('buscar_producto') }}">
      <div class="mb-3">
        <label for="id" class="form-label">ID del producto:</label>
        <div class="input-group">
          <input type="number" name="id" id="id" class="form-control" required>
          <button type="submit" class="btn btn-primary">Buscar</button>
        </div>
      </div>
    </form>
  </div>
  
  {% if idproducto_unknown %}
  <div id="alert-idproducto-unknown" class="alert alert-danger alert-dismissible fade show custom-alert" role="alert">
    El producto no fue encontrado.
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
  </div>
  {% elif idproducto_edited %}
  <div id="alert-idproducto-edited" class="alert alert-success alert-dismissible fade show custom-alert" role="alert">
    El producto fue editado correctamente.
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
  </div>
  {% endif %}
{% endblock %}